package com.yeejoin.amos.supervision.business.vo;

import java.util.Date;

public class InputItemVo {

    private long id;
    /**
     * 分类ID
     */
    private long catalogId;

    private String catalogName;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 配置JSON
     */
    private String dataJson;

    /**
     * 默认值
     */
    private String defaultValue;

    /**
     * 扩展项json
     */
    private String inputJson;

    /**
     * 是否多选
     */
    private String isMultiline;

    /**
     * 是否必填
     */
    private String isMust;

    /**
     * 是否评分
     */
    private String isScore;

    /**
     * 检查项类型
     */
    private String itemType;

    /**
     * 检查项名称
     */
    private String name;

    /**
     * 排序编码
     */
    private int orderNo;

    /**
     * 组织编码
     */
    private String orgCode;

    /**
     * 拍照配置json
     */
    private String pictureJson;


    private String remark;


    /**
     * 是否删除：0表示未删除，1表示已删除
     */
    private boolean isDelete;

    /**
     * 巡检项等级
     */
    private String level;

    /**
     * 巡检项编号s
     */
    private String itemNo;

    /**
     * 风险描述
     */
    private String riskDesc;

    /**
     * 维保项内容
     */
    private String maintenanceContent;

    /**
     * 测试要求
     */
    private String testRequirement;

    /**
     * 维保方法
     */
    private String checkMethod;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 维保项分类
     */
    private String inputClassify;

    private String checkTypeId;
    private String checkType;
    private String itemParent;
    private String itemClassify;
    private String itemTypeClassify;
    private String itemLevel;
    private String itemStart;
    /**
     * 扩展属性
     */
    private String ext;

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getItemParent() {
        return itemParent;
    }

    public void setItemParent(String itemParent) {
        this.itemParent = itemParent;
    }

    public String getItemClassify() {
        return itemClassify;
    }

    public void setItemClassify(String itemClassify) {
        this.itemClassify = itemClassify;
    }

    public String getItemTypeClassify() {
        return itemTypeClassify;
    }

    public void setItemTypeClassify(String itemTypeClassify) {
        this.itemTypeClassify = itemTypeClassify;
    }

    public String getItemLevel() {
        return itemLevel;
    }

    public void setItemLevel(String itemLevel) {
        this.itemLevel = itemLevel;
    }

    public String getItemStart() {
        return itemStart;
    }

    public void setItemStart(String itemStart) {
        this.itemStart = itemStart;
    }

    public String getInputClassify() {
        return inputClassify;
    }

    public void setInputClassify(String inputClassify) {
        this.inputClassify = inputClassify;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public void setCheckMethod(String checkMethod) {
        this.checkMethod = checkMethod;
    }

    public String getCheckMethod() {
        return checkMethod;
    }

    public void setMaintenanceContent(String maintenanceContent) {
        this.maintenanceContent = maintenanceContent;
    }

    public void setTestRequirement(String testRequirement) {
        this.testRequirement = testRequirement;
    }

    public String getMaintenanceContent() {
        return maintenanceContent;
    }

    public String getTestRequirement() {
        return testRequirement;
    }

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(long catalogId) {
        this.catalogId = catalogId;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getDataJson() {
        return dataJson;
    }

    public void setDataJson(String dataJson) {
        this.dataJson = dataJson;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getInputJson() {
        return inputJson;
    }

    public void setInputJson(String inputJson) {
        this.inputJson = inputJson;
    }

    public String getIsMultiline() {
        return isMultiline;
    }

    public void setIsMultiline(String isMultiline) {
        this.isMultiline = isMultiline;
    }

    public String getIsMust() {
        return isMust;
    }

    public void setIsMust(String isMust) {
        this.isMust = isMust;
    }

    public String getIsScore() {
        return isScore;
    }

    public void setIsScore(String isScore) {
        this.isScore = isScore;
    }

    public String getItemType() {
        return itemType;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(int orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getPictureJson() {
        return pictureJson;
    }

    public void setPictureJson(String pictureJson) {
        this.pictureJson = pictureJson;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public boolean isDelete() {
        return isDelete;
    }

    public void setDelete(boolean isDelete) {
        this.isDelete = isDelete;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }

    public InputItemVo() {
        super();
        // TODO Auto-generated constructor stub
    }

    public String getRiskDesc() {
        return riskDesc;
    }

    public void setRiskDesc(String riskDesc) {
        this.riskDesc = riskDesc;
    }

    public String getCheckTypeId() {
        return checkTypeId;
    }

    public void setCheckTypeId(String checkTypeId) {
        this.checkTypeId = checkTypeId;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }
}
